package com.liangjian.dataplatform.member.entity.vo.response;

import java.util.List;
import java.util.Map;

/**
 * @Author: 黄子奇
 * @Date: 2019/10/23
 */
public class BirdGirdTableResponse {
    private List<Map<String,Object>> items;
    private Long totalCount;

    public static BirdGirdTableResponse fromSqlResultMap(Map<String,Object> map) {
        BirdGirdTableResponse response = new BirdGirdTableResponse();
        List<Map<String,Object>> items = (List<Map<String, Object>>) map.get("items");
        Long totalCount = (Long) map.get("totalCount");
        response.setItems(items);
        response.setTotalCount(totalCount);
        return response;
    }

    public List<Map<String, Object>> getItems() {
        return items;
    }

    public void setItems(List<Map<String, Object>> items) {
        this.items = items;
    }

    public Long getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Long totalCount) {
        this.totalCount = totalCount;
    }
}
